Groovy 1.7.0

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyParameter

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

All Implemented Interfaces:
  GroovyParameter

    class SimpleGroovyParameter
    extends Object

Constructor Summary
`SimpleGroovyParameter(String name)`

Method Summary
`void` | `addAnnotationRef(GroovyAnnotationRef ref)`
`GroovyAnnotationRef[]` | `annotations()`
`String` | `defaultValue()`
`boolean` | `isTypeAvailable()`
`String` | `name()`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setType(GroovyType type)`
`void` | `setTypeName(String typeName)`
`GroovyType` | `type()`
`String` | `typeName()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SimpleGroovyParameter

    public SimpleGroovyParameter(String name)

Method Detail

### addAnnotationRef

    public void addAnnotationRef(GroovyAnnotationRef ref)

### annotations

    public GroovyAnnotationRef[] annotations()

### defaultValue

    public String defaultValue()

### isTypeAvailable

    public boolean isTypeAvailable()

### name

    public String name()

### setDefaultValue

    public void setDefaultValue(String defaultValue)

### setType

    public void setType(GroovyType type)

### setTypeName

    public void setTypeName(String typeName)

### type

    public GroovyType type()

### typeName

    public String typeName()

Copyright © 2003-2009 The Codehaus. All rights reserved.